Obtener Mensajes
curl --request GET \
--url https://api.plazbot.com/api/message \
--header 'Authorization: Bearer <token>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.plazbot.com/api/message"
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-workspace-id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.plazbot.com/api/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"continuationToken": "<string>",
"data": [
{
"id": "<string>",
"messageWhatsappId": "<string>",
"contactId": "<string>",
"content": "<string>",
"workspaceId": "<string>",
"recipientPhone": "<string>",
"externalReferenceId": "<string>",
"platformId": "<string>",
"answerAgentId": "<string>",
"answerType": "<string>",
"type": "<string>",
"from": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"conversationId": "<string>",
"platformType": "<string>",
"files": [
"<string>"
]
}
]
}
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}Message
Get Messages
Servicio para obtener los mensajes de una conversacion especifica. La respuesta viene paginada.
GET
/
api
/
message
Obtener Mensajes
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Headers
Identificador del workspace
Query Parameters
ID de la conversacion
ID del contacto
Identificador del workspace
Token de paginacion para obtener los siguientes registros. Si es null, no hay mas registros.
Response
Lista de mensajes obtenida exitosamente
⌘I

